GNU bug report logs - #43742
Unable to compile ada-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs, ada-mode; Reported by: Colton Lewis <colton.w.lewis@HIDDEN>; dated Thu, 1 Oct 2020 12:35:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Oct 2020 23:25:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 09 19:25:04 2020
Received: from localhost ([127.0.0.1]:36626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kR1l1-0004Xy-Mj
	for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 19:25:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:56358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <colton.w.lewis@HIDDEN>) id 1kR1RZ-00042Z-1o
 for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 19:04:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34074)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <colton.w.lewis@HIDDEN>)
 id 1kR1RY-0003ai-TJ
 for bug-gnu-emacs@HIDDEN; Fri, 09 Oct 2020 19:04:56 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:36249)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <colton.w.lewis@HIDDEN>)
 id 1kR1RV-0002U4-8R
 for bug-gnu-emacs@HIDDEN; Fri, 09 Oct 2020 19:04:56 -0400
Date: Fri, 09 Oct 2020 23:04:37 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1602284679;
 bh=xSBUeTbX14HharFFoOJ+Y2InVZ5udKgPXEfO3zGNANQ=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=CCQqg0iFMHwAhUW5Pu6Yhnu3nxba8AXqZdJBWabKYQ7bgIehMAHwwiQLf1bQ8yS+Z
 8MUTzvIYUieD4WVB15mNQw2Ns6C2h1Agv+XD2vI+rBmDdel6tuta5v2W1mYVJZSvRe
 Ls5jpYah43xN4HVX86NhIffuspMT2zi+99oGa/x8=
To: Stephen Leake <stephen_leake@HIDDEN>
From: Colton Lewis <colton.w.lewis@HIDDEN>
Subject: Re: Unable to compile ada-mode
Message-ID: <3075632.N7aMVyhfb1@HIDDEN>
In-Reply-To: <86blhcoh9w.fsf@HIDDEN>
References: <4667596.0VBMTVartN@HIDDEN>
 <86o8lhoatl.fsf@HIDDEN>
 <2068429.C4sosBPzcN@HIDDEN>
 <86blhcoh9w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.22;
 envelope-from=colton.w.lewis@HIDDEN; helo=mail2.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/09 19:04:40
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 09 Oct 2020 19:25:02 -0400
Cc: bug-gnu-emacs@HIDDEN, ada-mode-users@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Colton Lewis <colton.w.lewis@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Thursday, October 8, 2020 10:43:07 AM CDT Stephen Leake wrote:
>=20
> > On a tangent, the online Emacs manual
>=20
> Where?

First result on google for the string "emacs ada-mode".
First sentence under Installation section.

https://www.gnu.org/software/emacs/manual/html_mono/ada-mode.html#Installat=
ion

> >    [Ada]          wisi-ada.adb
> >    [Ada]          wisitoken.adb
> > sal-gen_unbounded_definite_red_black_trees.adb:308:26: access
> > discriminant in return aggregate would be a dangling reference
>=20
> That's a new instance of a known bug; see the WORKAROUND note at line
> 321 in that file; delete the '.all' and it magically works.
Deleted ".all" everywhere the compiler complained. More errors.

wisitoken.ads:80:04: instantiation error at sal-gen_definite_doubly_linked_=
lists.adb:268
wisitoken.ads:80:04: instantiation error at sal-gen_unbounded_definite_queu=
es.ads:88
wisitoken.ads:80:04: access discriminant in return aggregate would be a dan=
gling reference
wisi.ads:497:04: instantiation error at sal-gen_unbounded_definite_red_blac=
k_trees.adb:308
wisi.ads:497:04: access discriminant in return aggregate would be a danglin=
g reference

>=20
> > clang-10: warning: argument unused during compilation:
> > '-specs=3D/tmp/GNAT-TEMP-000014.TMP' [-Wunused-command-line-argument]
>=20
> This I don't understand

gprbuild grabs the first C compiler it can find on the system. I have
clang installed, so it uses that as the C compiler. Clang doesn't support
a "-spec" argument.=20

https://docs.adacore.com/gprbuild-docs/html/gprbuild_ug/companion_tools.htm=
l

Might want to add
for Driver ("C") use "gcc";
somewhere.








Information forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#43742; Package emacs, ada-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Oct 2020 15:43:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 08 11:43:57 2020
Received: from localhost ([127.0.0.1]:32966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQY5F-0000ls-HL
	for submit <at> debbugs.gnu.org; Thu, 08 Oct 2020 11:43:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:44680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen_leake@HIDDEN>) id 1kQY5A-0000lf-8P
 for submit <at> debbugs.gnu.org; Thu, 08 Oct 2020 11:43:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56762)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stephen_leake@HIDDEN>)
 id 1kQY54-0001Rp-ES
 for bug-gnu-emacs@HIDDEN; Thu, 08 Oct 2020 11:43:51 -0400
Received: from gateway24.websitewelcome.com ([192.185.50.45]:20564)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stephen_leake@HIDDEN>)
 id 1kQY52-0001ie-19
 for bug-gnu-emacs@HIDDEN; Thu, 08 Oct 2020 11:43:45 -0400
Received: from cm14.websitewelcome.com (cm14.websitewelcome.com [100.42.49.7])
 by gateway24.websitewelcome.com (Postfix) with ESMTP id 9A607C4099
 for <bug-gnu-emacs@HIDDEN>; Thu,  8 Oct 2020 10:43:12 -0500 (CDT)
Received: from host2007.hostmonster.com ([67.20.76.71]) by cmsmtp with SMTP
 id QY4WkdGhjBD8bQY4WkfMvx; Thu, 08 Oct 2020 10:43:12 -0500
X-Authority-Reason: nr=8
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=stephe-leake.org; s=default; h=Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cROlG5xq7vEDoUoDZpUzB/NZthOEqmylWKkF/0FoDwo=; b=QX7smWNCNeadqHkC2xCiL3TLX
 hoMHRErfxAGZLK70NfVMlJfg+PuOXrW0ecAgIHutIZpMSxWleRE8D1FGgY33kkQFUqSxv16CkEDs/
 BXDrXNwf9gMDFrNaU4B4ltLCYGTCO36QC7mqp2BH9Q9VGtVoGpMawC3uHl5QAOLPg1FtrPunhe0xd
 Nf2ioFT3YYTzjClNa25hysnFfJZRKqo6NwwAMCA0rgoL/cAyYTf00BRrIhyDwEHjQ7oXYN6Gvzo5B
 EuroV8KqJyPC1+XoPX1NG6nY5jS7cVs/MoHITLpYTIMWY0OMGPbX0V3sDNLsrHKsI7XkFmt7mfSQy
 ZGlbIRSvA==;
Received: from [76.77.182.20] (port=51222 helo=Takver4)
 by host2007.hostmonster.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stephen_leake@HIDDEN>)
 id 1kQY4V-003zfz-SO; Thu, 08 Oct 2020 09:43:11 -0600
From: Stephen Leake <stephen_leake@HIDDEN>
To: Colton Lewis <colton.w.lewis@HIDDEN>
Subject: Re: Unable to compile ada-mode
References: <4667596.0VBMTVartN@HIDDEN>
 <86o8lhoatl.fsf@HIDDEN>
 <2068429.C4sosBPzcN@HIDDEN>
Date: Thu, 08 Oct 2020 08:43:07 -0700
In-Reply-To: <2068429.C4sosBPzcN@HIDDEN> (Colton Lewis's
 message of "Tue, 06 Oct 2020 06:32:37 +0000")
Message-ID: <86blhcoh9w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host2007.hostmonster.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - stephe-leake.org
X-BWhitelist: no
X-Source-IP: 76.77.182.20
X-Source-L: No
X-Exim-ID: 1kQY4V-003zfz-SO
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: (Takver4) [76.77.182.20]:51222
X-Source-Auth: stephen_leake@HIDDEN
X-Email-Count: 3
X-Source-Cap: c3RlcGhlbGU7c3RlcGhlbGU7aG9zdDIwMDcuaG9zdG1vbnN0ZXIuY29t
X-Local-Domain: yes
Received-SPF: neutral client-ip=192.185.50.45;
 envelope-from=stephen_leake@HIDDEN;
 helo=gateway24.websitewelcome.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/08 11:43:23
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) BAYES_00=-1.9, DKIM_INVALID=0.1,
 DKIM_SIGNED=0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_NEUTRAL=0.779 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, ada-mode-users@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Colton Lewis <colton.w.lewis@HIDDEN> writes:

> On Sunday, October 4, 2020 6:01:10 PM CDT Stephen Leake wrote:
>> 
>> Colton Lewis <colton.w.lewis@HIDDEN> writes:
>> 
>> >
>> > emacs-27.1
>> > ada-mode-7.1.4
>> > gnat-10.2.1
>> 
>> What is "gnat-10.2.1"? where did you get it?
>
> GCC version 10.2.1 from the default Fedora 32 repositories. 

Ok. Apparently Debian testing has gnat-10.2.0. I could test with the latest
Debian gnat release.

> On a tangent, the online Emacs manual 

Where?

> says ada-mode should be included in the standard distribution, but it
> wasn't. 

ada-mode used to be in Emacs core, but I moved it to ELPA. Apparently
that's a more complex process than I realized.

> Should it be there?

There is not yet a mechanism to bundle ELPA packages in the emacs
distribution. I don't see the point of doing that; people should be used
to installing Emacs packages, just like they install Debian (or Fedora
or ...) packages.

>    [Ada]          wisi-ada.adb
>    [Ada]          wisitoken.adb
> sal-gen_unbounded_definite_red_black_trees.adb:308:26: access
> discriminant in return aggregate would be a dangling reference

That's a new instance of a known bug; see the WORKAROUND note at line
321 in that file; delete the '.all' and it magically works.

> clang-10: warning: argument unused during compilation:
> '-specs=/tmp/GNAT-TEMP-000014.TMP' [-Wunused-command-line-argument]

This I don't understand

-- 
-- Stephe




Information forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#43742; Package emacs, ada-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Oct 2020 14:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 06 10:10:53 2020
Received: from localhost ([127.0.0.1]:53832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPng4-00025K-LO
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2020 10:10:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:38918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <colton.w.lewis@HIDDEN>) id 1kPgWr-0004mm-Kd
 for submit <at> debbugs.gnu.org; Tue, 06 Oct 2020 02:32:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56296)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <colton.w.lewis@HIDDEN>)
 id 1kPgWq-0000Mp-Ux
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2020 02:32:53 -0400
Received: from mail-40136.protonmail.ch ([185.70.40.136]:49784)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <colton.w.lewis@HIDDEN>)
 id 1kPgWn-0003HV-5v
 for bug-gnu-emacs@HIDDEN; Tue, 06 Oct 2020 02:32:52 -0400
Date: Tue, 06 Oct 2020 06:32:37 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1601965963;
 bh=sroAWY7hKd54SwtSVLQ7QZLkQKDBlR4aFneX5un722g=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=OKkkrfsJ9yzMZZ95U84zLZ3kYOCBKdbOwr5ojQmEKeUhcmecmls6orcfiQy1cUW9j
 Xa6+dSjER/wuIwxKrcntLk0Q6llBFiuf9J38oFTtgP4dl5oVOZ5YLvCOmZMR42gbye
 1PSHkxeUBhwKad+DHR83MYotGWaBTu3tKGAsDfBA=
To: Stephen Leake <stephen_leake@HIDDEN>
From: Colton Lewis <colton.w.lewis@HIDDEN>
Subject: Re: Unable to compile ada-mode
Message-ID: <2068429.C4sosBPzcN@HIDDEN>
In-Reply-To: <86o8lhoatl.fsf@HIDDEN>
References: <4667596.0VBMTVartN@HIDDEN>
 <86o8lhoatl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.136;
 envelope-from=colton.w.lewis@HIDDEN; helo=mail-40136.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/06 02:32:44
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 06 Oct 2020 10:10:50 -0400
Cc: bug-gnu-emacs@HIDDEN, ada-mode-users@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Colton Lewis <colton.w.lewis@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Sunday, October 4, 2020 6:01:10 PM CDT Stephen Leake wrote:
>=20
> Colton Lewis <colton.w.lewis@HIDDEN> writes:
>=20
> >
> > emacs-27.1
> > ada-mode-7.1.4
> > gnat-10.2.1
>=20
> What is "gnat-10.2.1"? where did you get it?

GCC version 10.2.1 from the default Fedora 32 repositories. On a tangent,
the online Emacs manual says ada-mode should be included in the standard
distribution, but it wasn't. Should it be there?

> If possible, report this as a compiler bug.

Done: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=3D97283
Closed as the logic bug causing the issue is fixed on master.
Unsure if it will be released in GCC 10 updates.

> that line is:
>=20
>          Count :=3D @ + 1;
>=20
> you can change it to:
>=20
>          Count :=3D Count + 1;

Thanks. After changing that, I get a further error.

$ ./build.sh -cargs:ada -gnat2012 -cargs:c -Wno-error=3Dunused-command-line=
-argument
...
   [Ada]          wisi-ada.adb
   [Ada]          wisitoken.adb
sal-gen_unbounded_definite_red_black_trees.adb:308:26: access discriminant =
in return aggregate would be a dangling reference
sal-gen_unbounded_definite_red_black_trees.adb:326:29: access discriminant =
in return aggregate would be a dangling reference
sal-gen_unbounded_definite_red_black_trees.adb:338:26: access discriminant =
in return aggregate would be a dangling reference
sal-gen_unbounded_definite_red_black_trees.adb:352:29: access discriminant =
in return aggregate would be a dangling reference
sal-gen_definite_doubly_linked_lists.adb:268:26: access discriminant in ret=
urn aggregate would be a dangling reference
sal-gen_definite_doubly_linked_lists.adb:273:26: access discriminant in ret=
urn aggregate would be a dangling reference
sal-gen_definite_doubly_linked_lists.adb:280:26: access discriminant in ret=
urn aggregate would be a dangling reference
sal-gen_definite_doubly_linked_lists.adb:285:26: access discriminant in ret=
urn aggregate would be a dangling reference
clang-10: warning: argument unused during compilation: '-specs=3D/tmp/GNAT-=
TEMP-000014.TMP' [-Wunused-command-line-argument]
clang-10: warning: argument unused during compilation: '-specs=3D/tmp/GNAT-=
TEMP-000014.TMP' [-Wunused-command-line-argument]


   compilation of wisitoken.adb failed
   compilation of wisi.adb failed







Information forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#43742; Package emacs, ada-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2020 23:01:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 04 19:01:23 2020
Received: from localhost ([127.0.0.1]:46942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPD0N-0000Wc-DN
	for submit <at> debbugs.gnu.org; Sun, 04 Oct 2020 19:01:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:46598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen_leake@HIDDEN>) id 1kPD0L-0000WT-74
 for submit <at> debbugs.gnu.org; Sun, 04 Oct 2020 19:01:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55784)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stephen_leake@HIDDEN>)
 id 1kPD0J-0006lj-Ts
 for bug-gnu-emacs@HIDDEN; Sun, 04 Oct 2020 19:01:20 -0400
Received: from gateway20.websitewelcome.com ([192.185.54.2]:31755)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stephen_leake@HIDDEN>)
 id 1kPD0H-0006DV-Qp
 for bug-gnu-emacs@HIDDEN; Sun, 04 Oct 2020 19:01:19 -0400
Received: from cm16.websitewelcome.com (cm16.websitewelcome.com [100.42.49.19])
 by gateway20.websitewelcome.com (Postfix) with ESMTP id 2C16E400C81EF
 for <bug-gnu-emacs@HIDDEN>; Sun,  4 Oct 2020 18:00:19 -0500 (CDT)
Received: from host2007.hostmonster.com ([67.20.76.71]) by cmsmtp with SMTP
 id PD0Ckt0cJCjCVPD0DkJFv1; Sun, 04 Oct 2020 18:01:13 -0500
X-Authority-Reason: nr=8
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=stephe-leake.org; s=default; h=Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=I4gk+Bvol6fHCDzFlCEEp3uT8JncDfVphwv5MRSBj84=; b=EUed9XJ21TQ3xVlaV9Miuh1Pl
 E9GJxv0TFkCQ7d8Fnc5tQqJMI272hWSRWHzFgNOqSYZO74BvGc6ZslSDlv5ObQJTfb7ftHAcOvpQ3
 eJNx4j0DbE9crPvIfU3NA1DfqO76jDi2HxGY8OOkVBCJfVNPUsX8tffk1LrTh8qGpfNdGURafs0f+
 jaodM0Y5IXUCJWT29ptY5VdUXqB/mdEdJVdr23yQWZtlJ/Fg1JdIVvoi95lI0iCMIPiIRoAONExJA
 ukHNv3hTvaFs9hPPHLjOze1zEyzhdyC/qeQpj8lvo29DWvKp4GPjDuUfHktuvnxyL+ullcv4dMR5+
 rYawbAW5g==;
Received: from [76.77.182.20] (port=54694 helo=Takver4)
 by host2007.hostmonster.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.93)
 (envelope-from <stephen_leake@HIDDEN>)
 id 1kPD0C-001OzU-GQ; Sun, 04 Oct 2020 17:01:12 -0600
From: Stephen Leake <stephen_leake@HIDDEN>
To: Colton Lewis <colton.w.lewis@HIDDEN>
Subject: Re: Unable to compile ada-mode
References: <4667596.0VBMTVartN@HIDDEN>
Date: Sun, 04 Oct 2020 16:01:10 -0700
In-Reply-To: <4667596.0VBMTVartN@HIDDEN> (Colton Lewis's
 message of "Thu, 01 Oct 2020 04:55:49 +0000")
Message-ID: <86o8lhoatl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host2007.hostmonster.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - stephe-leake.org
X-BWhitelist: no
X-Source-IP: 76.77.182.20
X-Source-L: No
X-Exim-ID: 1kPD0C-001OzU-GQ
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: (Takver4) [76.77.182.20]:54694
X-Source-Auth: stephen_leake@HIDDEN
X-Email-Count: 3
X-Source-Cap: c3RlcGhlbGU7c3RlcGhlbGU7aG9zdDIwMDcuaG9zdG1vbnN0ZXIuY29t
X-Local-Domain: yes
Received-SPF: neutral client-ip=192.185.54.2;
 envelope-from=stephen_leake@HIDDEN;
 helo=gateway20.websitewelcome.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/04 19:01:13
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) BAYES_00=-1.9, DKIM_INVALID=0.1,
 DKIM_SIGNED=0.1, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001,
 SPF_HELO_PASS=-0.001, SPF_NEUTRAL=0.779 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, ada-mode-users@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Colton Lewis <colton.w.lewis@HIDDEN> writes:

>
> emacs-27.1
> ada-mode-7.1.4
> gnat-10.2.1

What is "gnat-10.2.1"? where did you get it?

If possible, report this as a compiler bug.

I'm testing with the GNAT Community releases, and a gnat pro wavefront.


> gpr_query.adb:553:19: target_name is an Ada 2020 feature

that line is:

         Count := @ + 1;

you can change it to:

         Count := Count + 1;

-- 
-- Stephe




Information forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#43742; Package emacs, ada-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Oct 2020 17:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 13:29:46 2020
Received: from localhost ([127.0.0.1]:38173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO2Oo-00020k-IR
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 13:29:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:54734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simon.j.wright@HIDDEN>) id 1kO2Ol-00020b-2x
 for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 13:29:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60750)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <simon.j.wright@HIDDEN>)
 id 1kO2Ok-0001CO-Op
 for bug-gnu-emacs@HIDDEN; Thu, 01 Oct 2020 13:29:42 -0400
Received: from pv50p00im-zteg10021401.me.com ([17.58.6.47]:60390)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <simon.j.wright@HIDDEN>)
 id 1kO2Oi-0004km-Te
 for bug-gnu-emacs@HIDDEN; Thu, 01 Oct 2020 13:29:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1601573375; bh=h7Rm4PB8qvCCSCjRwZxD3jt4WxPOJK6q+eyG+gHn6CE=;
 h=Content-Type:Mime-Version:Subject:From:Date:Message-Id:To;
 b=MHTFGe2QAc6pkQqpHVHAsBoEbO7aSLkyBIAwolWYK2Ghs8xxGWPCBhyKa2goRe1k7
 BhLve/ss+RhRwq74SJ2olCRHbhmRbhVIC0QIifZ5wJjawhnhDZU9aTrSpjh2rzvnLf
 SVoRGUwBCk+J3t9f45lVHDwSQY/vEOsBOn1saWidNKrjnY/Jkqbp7lXiMef1t4KYyU
 /e0ixN5938C3ZAbmm6etWJr2NFhl5aFCVrdvVf89RB9dH2nA8sVSAIGb23I/v6IDcH
 QpPwQ3U0AeoAr5PEYsx59b/ecVOMHtvIFDJyjQVQsjp0t96SuVeOoDItaNnf9XqmJ3
 bQ3rb79UrHEeg==
Received: from [192.168.1.93] (88-106-219-82.dynamic.dsl.as9105.com
 [88.106.219.82])
 by pv50p00im-zteg10021401.me.com (Postfix) with ESMTPSA id 7E594480B43;
 Thu,  1 Oct 2020 17:29:33 +0000 (UTC)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.4\))
Subject: Re: Unable to compile ada-mode
From: Simon Wright <simon.j.wright@HIDDEN>
In-Reply-To: <4667596.0VBMTVartN@HIDDEN>
Date: Thu, 1 Oct 2020 18:29:31 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <A5C9B982-47A7-41B1-9034-229525922D98@HIDDEN>
References: <4667596.0VBMTVartN@HIDDEN>
To: Colton Lewis <colton.w.lewis@HIDDEN>
X-Mailer: Apple Mail (2.3608.120.23.2.4)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.235, 18.0.687
 definitions=2020-10-01_06:2020-10-01,
 2020-10-01 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=664 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-2006250000 definitions=main-2010010147
Received-SPF: pass client-ip=17.58.6.47; envelope-from=simon.j.wright@HIDDEN;
 helo=pv50p00im-zteg10021401.me.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/01 13:29:35
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, Ada mode users <ada-mode-users@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

GCC 10[.1.0] has the problem.
GCC 9[.1.0] does not.

I haven't bothered to install the necessary gnatcoll packages in GNAT CE =
2020 so I don't know whether it would work or fail.

> On 1 Oct 2020, at 05:55, Colton Lewis <colton.w.lewis@HIDDEN> =
wrote:
>=20
> Package: emacs, ada-mode
>=20
> I have recently tried and failed to compile ada-mode.
> This may be a bug in -gnat2020 support, but I'm not
> sure how the list wants to handle a solution.
>=20
> emacs-27.1
> ada-mode-7.1.4
> gnat-10.2.1
>=20
> $ ./build.sh
> ...
> gen_run_wisi_lr_parse.ads:27:52: missing ";"
> gen_run_wisi_lr_parse.ads:27:65: generic private child packages not =
permitted
> gen_run_wisi_lr_parse.ads:27:65: subprogram specification expected
> gen_run_wisi_lr_parse.ads:27:65: compilation unit expected
> gen_run_wisi_lr_parse.ads:34:04: misplaced "with"
> gen_run_wisi_lr_parse.ads:34:09: reserved word "procedure" cannot be =
used as identifier
> gen_run_wisi_lr_parse.ads:34:18: missing ";"
> gen_run_wisi_lr_parse.ads:34:19: compilation unit expected
> clang-10: error: argument unused during compilation: =
'-specs=3D/tmp/GNAT-TEMP-000012.TMP' =
[-Werror,-Wunused-command-line-argument]
>=20
>   compilation of ada_mode_wisi_lalr_parse.ads failed
>   compilation of ada_mode_wisi_lr1_parse.ads failed
>   compilation of run_ada_lalr_parse.ads failed
>   compilation of run_ada_lr1_parse.ads failed
>   compilation of gpr_mode_wisi_parse.ads failed
>   compilation of run_gpr_parse.ads failed
>   compilation of wisitoken_grammar_re2c.c failed
>=20
> gprbuild: *** compilation phase failed
>=20
> It is choking on the line:
> type Parse_Data_Type is new Wisi.Parse_Data_Type with private;
>=20
> As far as I can tell from the ARM, this should be legal in 2020 and =
2012.
> Also note the clang error. Trying with some options.
>=20
> $ ./build -cargs:ada -gnat2012 -cargs:c =
-Wno-error=3Dunused-command-line-argument
> ...
> Compile
>   [Ada]          ada_mode_wisi_lalr_parse.ads
>   [Ada]          ada_mode_wisi_lr1_parse.ads
>   [Ada]          run_ada_lalr_parse.ads
>   [Ada]          run_ada_lr1_parse.ads
>   [Ada]          gpr_mode_wisi_parse.ads
>   [Ada]          run_gpr_parse.ads
>   [Ada]          gpr_query.adb
>   [C]            wisitoken_grammar_re2c.c
> gpr_query.adb:553:19: target_name is an Ada 2020 feature
> gpr_query.adb:553:22: (style) space not allowed
> clang-10: warning: argument unused during compilation: =
'-specs=3D/tmp/GNAT-TEMP-000012.TMP' [-Wunused-command-line-argument]
>=20
>   compilation of gpr_query.adb failed
>=20
> And we fail again lacking a 2020 feature.
>=20
>=20
>=20
>=20
>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#43742; Package emacs, ada-mode. Full text available.

Message received at 43742 <at> debbugs.gnu.org:


Received: (at 43742) by debbugs.gnu.org; 1 Oct 2020 16:52:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 12:52:32 2020
Received: from localhost ([127.0.0.1]:38123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kO1om-0007KF-CK
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 12:52:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:32848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kO1ok-0007Jy-Do
 for 43742 <at> debbugs.gnu.org; Thu, 01 Oct 2020 12:52:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2ufU9I2Wv9mzc5Ah2wYv16ysiTrprr1K37ujOvX1jlI=; b=uxUsS1s3oCOPwfQdg2flEcGyOs
 WcBjgqzvMt81Ey2BWjzkWKRZt++Ks2HkfxBOPJjuy/kGrRou6F93c7t2CB85sEhbx9KcqJRal5vbR
 WvCJ1lzIMqryk20i7KK9531wwtjZDALz4zMqM1WUZLdSKqieNMG+SvBV+aftz2KLXqeA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kO1oa-0000f7-60; Thu, 01 Oct 2020 18:52:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Colton Lewis <colton.w.lewis@HIDDEN>
Subject: Re: bug#43742: Unable to compile ada-mode
References: <4667596.0VBMTVartN@HIDDEN>
X-Now-Playing: Static's _Re: Talking About Memories_: "Return Of She"
Date: Thu, 01 Oct 2020 18:52:18 +0200
In-Reply-To: <4667596.0VBMTVartN@HIDDEN> (Colton Lewis's
 message of "Thu, 01 Oct 2020 04:55:49 +0000")
Message-ID: <87wo09q471.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Colton Lewis <colton.w.lewis@HIDDEN> writes: >
 Package:
 emacs, ada-mode > > I have recently tried and failed to compile ada-mode.
 > This may be a bug in -gnat2020 support, but I'm not > sure how the list
 wants to handle a solution. > > emacs-27. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43742
Cc: 43742 <at> debbugs.gnu.org, ada-mode-users@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Colton Lewis <colton.w.lewis@HIDDEN> writes:

> Package: emacs, ada-mode
>
> I have recently tried and failed to compile ada-mode.
> This may be a bug in -gnat2020 support, but I'm not
> sure how the list wants to handle a solution.
>
> emacs-27.1
> ada-mode-7.1.4
> gnat-10.2.1
>
> $ ./build.sh
> ...
> gen_run_wisi_lr_parse.ads:27:52: missing ";"

I'm not quite sure I understand the bug report.  Is it about compiling
ada-mode, or is it about building gnat?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#43742; Package emacs, ada-mode. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Oct 2020 12:34:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 01 08:34:39 2020
Received: from localhost ([127.0.0.1]:34545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNxnC-0003wf-Uo
	for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 08:34:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:45522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <colton.w.lewis@HIDDEN>) id 1kNqdW-0000JQ-Tw
 for submit <at> debbugs.gnu.org; Thu, 01 Oct 2020 00:56:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51556)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <colton.w.lewis@HIDDEN>)
 id 1kNqdV-00009M-5V
 for bug-gnu-emacs@HIDDEN; Thu, 01 Oct 2020 00:56:09 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:39313)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <colton.w.lewis@HIDDEN>)
 id 1kNqdO-00032S-Ok
 for bug-gnu-emacs@HIDDEN; Thu, 01 Oct 2020 00:56:08 -0400
Date: Thu, 01 Oct 2020 04:55:49 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1601528158;
 bh=5uz6+4AxLEb5KkSldBZubUfPc2kE1ceLtWfYt3hLTFs=;
 h=Date:To:From:Cc:Reply-To:Subject:From;
 b=Cs5ERfwVXoHX58zPr1P+EfH3UrQa8LOJarDE87nKu9lNqem1zAAFupb2g03x6SREM
 wkap82f175vWbQQpKg4Mj57kXJpTzwhqaoTYb8UAM1WTzM9OJQ0mg+xF3NjNKZTJ9N
 kvnxd/nzDgAGlydNIwOxNKqiwGvadEaZTyf+5uJs=
To: ada-mode-users@HIDDEN
From: Colton Lewis <colton.w.lewis@HIDDEN>
Subject: Unable to compile ada-mode
Message-ID: <4667596.0VBMTVartN@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.134;
 envelope-from=colton.w.lewis@HIDDEN; helo=mail-40134.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/01 00:55:59
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -24
X-Spam_score: -2.5
X-Spam_bar: --
X-Spam_report: (-2.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.373, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 01 Oct 2020 08:34:37 -0400
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Colton Lewis <colton.w.lewis@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Package: emacs, ada-mode

I have recently tried and failed to compile ada-mode.
This may be a bug in -gnat2020 support, but I'm not
sure how the list wants to handle a solution.

emacs-27.1
ada-mode-7.1.4
gnat-10.2.1

$ ./build.sh
...
gen_run_wisi_lr_parse.ads:27:52: missing ";"
gen_run_wisi_lr_parse.ads:27:65: generic private child packages not permitt=
ed
gen_run_wisi_lr_parse.ads:27:65: subprogram specification expected
gen_run_wisi_lr_parse.ads:27:65: compilation unit expected
gen_run_wisi_lr_parse.ads:34:04: misplaced "with"
gen_run_wisi_lr_parse.ads:34:09: reserved word "procedure" cannot be used a=
s identifier
gen_run_wisi_lr_parse.ads:34:18: missing ";"
gen_run_wisi_lr_parse.ads:34:19: compilation unit expected
clang-10: error: argument unused during compilation: '-specs=3D/tmp/GNAT-TE=
MP-000012.TMP' [-Werror,-Wunused-command-line-argument]

   compilation of ada_mode_wisi_lalr_parse.ads failed
   compilation of ada_mode_wisi_lr1_parse.ads failed
   compilation of run_ada_lalr_parse.ads failed
   compilation of run_ada_lr1_parse.ads failed
   compilation of gpr_mode_wisi_parse.ads failed
   compilation of run_gpr_parse.ads failed
   compilation of wisitoken_grammar_re2c.c failed

gprbuild: *** compilation phase failed

It is choking on the line:
type Parse_Data_Type is new Wisi.Parse_Data_Type with private;

As far as I can tell from the ARM, this should be legal in 2020 and 2012.
Also note the clang error. Trying with some options.

$ ./build -cargs:ada -gnat2012 -cargs:c -Wno-error=3Dunused-command-line-ar=
gument
...
Compile
   [Ada]          ada_mode_wisi_lalr_parse.ads
   [Ada]          ada_mode_wisi_lr1_parse.ads
   [Ada]          run_ada_lalr_parse.ads
   [Ada]          run_ada_lr1_parse.ads
   [Ada]          gpr_mode_wisi_parse.ads
   [Ada]          run_gpr_parse.ads
   [Ada]          gpr_query.adb
   [C]            wisitoken_grammar_re2c.c
gpr_query.adb:553:19: target_name is an Ada 2020 feature
gpr_query.adb:553:22: (style) space not allowed
clang-10: warning: argument unused during compilation: '-specs=3D/tmp/GNAT-=
TEMP-000012.TMP' [-Wunused-command-line-argument]

   compilation of gpr_query.adb failed

And we fail again lacking a 2020 feature.









Acknowledgement sent to Colton Lewis <colton.w.lewis@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#43742; Package emacs, ada-mode. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 9 Oct 2020 23:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.